# Makefile for o5eLib and oeTest
# 20 Sep 2012
#

# Which C compiler to use - (cc, gcc xlc, etc.).
CC = gcc

# Compiler Flags
CFLAGS = -Wall -c -I. -Ilibmodbus-3.1.2/src

.c.o :
	$(CC) $(CFLAGS) $< 

TARGET	= o5eLib.a

SOURCE	= o5eLib.c

OBJECTS     = $(SOURCE:%.c=%.o)


# Linking object files
$(TARGET): $(OBJECTS)
	ar rv $(TARGET) $(OBJECTS)

# Remove executable and object files
clean:
	rm -f $(OBJECTS) 
